gsw_melting_ice_equilibrium_SA_CT_ratio_poly {gsw} | R Documentation

## Calculate d(SA)/d(CT) for Ice Melting in near-freezing Seawater (Polynomial version)

### Description

Calculate d(SA)/d(CT) for Ice Melting in near-freezing Seawater (Polynomial version)

### Usage

    gsw_melting_ice_equilibrium_SA_CT_ratio_poly(SA, p)

### Arguments

`SA` | Absolute Salinity [ g/kg ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

ratio of change in `SA` to change in `CT` [ g/kg/degC ].

### References

http://www.teos-10.org/pubs/gsw/html/gsw_melting_ice_equilibrium_SA_CT_ratio_poly.html

### Examples

    SA <- c(   34.7118,  34.8915,  35.0256,  34.8472,  34.7366, 34.7324)
    p <- c(         10,       50,      125,      250,      600,    1000)
    r <- gsw_melting_ice_equilibrium_SA_CT_ratio_poly(SA, p)
    expect_equal(r, c(0.420209444587263, 0.422511664682796, 0.424345538275708,
                    0.422475965003649, 0.422023755182266, 0.423038080717229))

[Package gsw version 1.0-5 Index]